com.aliyun.svideosdk.common.struct.effect

## Class EffectFilter.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectFilter.Builder

- Enclosing class:
    EffectFilter

      public static final class EffectFilter.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `EffectFilter` | `build()`
    `EffectFilter.Builder` | `duration(long durationMills)` Sets the display duration of a filter effect.
    `EffectFilter.Builder` | `effectConfig(EffectConfig effectConfig)` Set up the custom effects json Object
    `EffectFilter.Builder` | `path(java.lang.String val)` Deprecated. Replaced by `source(Source)`.
    `EffectFilter.Builder` | `resId(int val)`
    `EffectFilter.Builder` | `source(Source source)` Sets the path of a filter resource.
    `EffectFilter.Builder` | `startTime(long startTimeMills)` Sets the time when a filter effect appears.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### path

          @Deprecated
          public EffectFilter.Builder path(java.lang.String val)

      Deprecated. Replaced by `source(Source)`.
      Sets the path of a filter resource.
      Parameters:
        `val` -
      Returns:

    - #### source

          public EffectFilter.Builder source(Source source)

      Sets the path of a filter resource.
      Parameters:
        `source` - filter resource
      Returns:
        this

    - #### startTime

          public EffectFilter.Builder startTime(long startTimeMills)

      Sets the time when a filter effect appears.
      Parameters:
        `startTimeMills` - Unit: milliseconds.
      Returns:

    - #### duration

          public EffectFilter.Builder duration(long durationMills)

      Sets the display duration of a filter effect.
      Parameters:
        `durationMills` - Unit: milliseconds.
      Returns:

    - #### effectConfig

          public EffectFilter.Builder effectConfig(EffectConfig effectConfig)

      Set up the custom effects json Object
      Parameters:
        `effectConfig` - `EffectConfig`.
      Returns:

    - #### resId

          public EffectFilter.Builder resId(int val)

    - #### build

          public EffectFilter build()